## org.apache.taglibs.standard.tag.el.core
Class ExpressionUtil

    java.lang.Object
      org.apache.taglibs.standard.tag.el.core.ExpressionUtil

    public class ExpressionUtil

extends Object

Contains some static utilities to facilitate common forms of expression evaluation.

Author:
  Shawn Bayern

Constructor Summary
`ExpressionUtil()`

Method Summary
`static Object` `evalNotNull(String tagName, String attributeName, String expression, Class expectedType, Tag tag, PageContext pageContext)` Evaluates an expression if present, but does not allow the expression to evaluate to 'null', throwing a NullAttributeException if it does.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionUtil

    public ExpressionUtil()

Method Detail

### evalNotNull

    public static Object evalNotNull(String tagName,
                                     String attributeName,
                                     String expression,
                                     Class expectedType,
                                     Tag tag,
                                     PageContext pageContext)
                              throws JspException

  Evaluates an expression if present, but does not allow the expression to evaluate to 'null', throwing a NullAttributeException if it does. The function can return null, however, if the expression itself is null.

  Throws:
    `JspException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.